<template>
  <form class="form-signin" @submit.prevent="logar">
    <div class="text-center mb-4">
      <h1 class="h3 mb-3 font-weight-normal">Identificação do Usuário</h1>
    </div>

    <div class="form-label-group">
      <input
        type="email"
        id="inputEmail"
        class="form-control"
        placeholder="Email address"
        required
        autofocus
        v-model="email"
      />
      <label for="inputEmail">E-mail do Usuário</label>
    </div>

    <div class="form-label-group">
      <input
        :type="inputType"
        id="inputPassword"
        class="form-control"
        placeholder="Password"
        required
        v-model="senha"
      />
      <div style="position: absolute; top: 12px; right: 10px; cursor: pointer"
      @click="togglePassword()"
      >
        <span
          v-if="isPassword"
          id="slash-eye"
          for="inputPassword"
          class="fas fa-eye-slash"
        ></span>
        <span v-else id="eye" for="inputPassword" class="fas fa-eye"></span>
      </div>
      <label for="inputPassword">Senha de Acesso </label>
    </div>

    <button class="btn btn-lg btn-success btn-block" type="submit">
      Entrar
    </button>
  </form>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      email: null,
      senha: null,
      inputType: "password",
    };
  },
  props: {
    user: String,
    permit: Number,
  },
  computed: {
    isPassword() {
      return this.inputType === "password";
    },
  },
  methods: {
    togglePassword() {
      this.inputType = this.isPassword ? "text" : "password";
    },
    logar() {
     
      axios
        .post(this.$MainURL + "/login", {
          email: this.email,
          senha: this.senha,
        })
        .then((response) => {
          if (response.data.user == null) {
            alert("Erro... Login ou senha inválidos");
          } 
          else if (response.data.user == 0) {
            alert("Erro... Usuario inativo ");
          } 
          else {
            localStorage.setItem("token", response.data.access_token);
            this.$parent.$parent.mudaUser(response.data.user, response.data.permission);

            if (response.data.permission =="1")
              this.$router.push("/");
            else if (response.data.permission =="2")
              this.$router.push("/homeTecnicos");
            else
              this.$router.push("/homeCliente");
          }
        });
    },
    mudaUser(nome, permit) {
      this.user = nome;
      this.permit = permit

    },
  },

};
</script>

<style scoped>
template {
  height: 100%;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  padding-top: 40px;
  padding-bottom: 40px;
  background-color: #f5f5f5;
}

.form-signin {
  width: 100%;
  max-width: 420px;
  padding: 15px;
  margin: auto;
  margin-top: 100px;
}

.form-label-group {
  position: relative;
  margin-bottom: 1rem;
}

.form-label-group > input,
.form-label-group > label {
  height: 3.125rem;
  padding: 0.75rem;
}

.form-label-group > label {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  margin-bottom: 0; /* Override default `<label>` margin */
  line-height: 1.5;
  color: #495057;
  pointer-events: none;
  cursor: text; /* Match the input under the label */
  border: 1px solid transparent;
  border-radius: 0.25rem;
  transition: all 0.1s ease-in-out;
}

.form-label-group input::-webkit-input-placeholder {
  color: transparent;
}

.form-label-group input:-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-moz-placeholder {
  color: transparent;
}

.form-label-group input::placeholder {
  color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
  padding-top: 1.25rem;
  padding-bottom: 0.25rem;
}

.form-label-group input:not(:placeholder-shown) ~ label {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  font-size: 12px;
  color: #777;
}

/* Fallback for Edge
-------------------------------------------------- */
@supports (-ms-ime-align: auto) {
  .form-label-group > label {
    display: none;
  }
  .form-label-group input::-ms-input-placeholder {
    color: #777;
  }
}

/* Fallback for IE
-------------------------------------------------- */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .form-label-group > label {
    display: none;
  }
  .form-label-group input:-ms-input-placeholder {
    color: #777;
  }
}
</style>